Index: trunk/mapbender/http/nav/alkisnav_adr.php
===================================================================
--- trunk/mapbender/http/nav/alkisnav_adr.php	(revision 276)
+++ trunk/mapbender/http/nav/alkisnav_adr.php	(revision 278)
@@ -1,14 +1,14 @@
 <?php
 /* Version vom 
-	2011-04-11 epsg in Link, transform nur wenn notwendig
-	2011-07-25 PostNAS 0.5/0.6 Versionen unterscheiden
-	2011-10-24 Nach Pos-Klick Highlight erneuern statt hideHighlight
-	2011-12-09 Sonderfall PostNAS 0.5 raus,
-	2012-12-03 A.E.: Ausgabe von Hausnr ohne Gebaeude
-	2013-01-15 F.J.: HsNr ohne GebÃ€ude auf NRW/krz-Daten anpassen
-	2013-04-16 "import_request_variables" entfÃ€llt in PHP 5.4
+	2011-04-11	epsg in Link, transform nur wenn notwendig
+	2011-07-25	PostNAS 0.5/0.6 Versionen unterscheiden
+	2011-10-24	Nach Pos-Klick Highlight erneuern statt hideHighlight
+	2011-12-09	Sonderfall PostNAS 0.5 raus,
+	2012-12-03	A.E.: Ausgabe von Hausnr ohne Gebaeude
+	2013-01-15	F.J.: HsNr ohne GebÃ€ude auf NRW/krz-Daten anpassen
+	2013-04-26	"import_request_variables" entfÃ€llt in PHP 5.4.
+					ZurÃŒck-Link, Titel der Transaktion anzeigen
 
 	ToDo:
-	-  auskommentierte Variante mit "subquery" entfernen
 	-	Eingabe aus "Balken" von Buchauskunft "Lage" zulassen: Numerisch: Gem-Str-Haus-lfd
 		Analog zur Zerlegung des FS-Kennz in _fls
@@ -20,5 +20,5 @@
 $con_string = "host=".$host." port=".$port." dbname=".$dbname.$dbvers.$gkz." user=".$user." password=".$password;
 $con = pg_connect ($con_string) or die ("Fehler bei der Verbindung zur Datenbank ".$$dbname.$dbvers.$gkz);
-?>
+echo <<<END
 
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
@@ -31,7 +31,17 @@
 	<title>ALKIS-Suche Adressen</title>
 	<link rel="stylesheet" type="text/css" href="alkisnav.css">
+	<script type='text/javascript'>
+		function transtitle (trans) { // Titel der letzten Transaktion anzeigen
+			document.getElementById('transaktiontitle').innerHTML = trans;
+		}
+	</script>
 </head>
 <body>
-<?php
+<a title="zur&uuml;ck" href='javascript:history.back()'>
+	<img src="ico/zurueck.ico" width="16" height="16" alt="&lt;&lt;" />
+</a>
+<dfn class='title' id='transaktiontitle'></dfn>
+
+END;
 
 function suchStrName() {
@@ -92,10 +102,12 @@
 	}
 	if($cnt == 0) {
-		echo "<p>Keine Stra&szlig;e.</p>";
+		echo "<pclass='anz'>Keine Stra&szlig;e</p>";
 	} elseif($cnt == 1) { // Eindeutig
 		$str_schl=$gkey; // dann gleich weiter
 	} elseif($cnt >= $linelimit) {
-		echo "<p>.. und weitere</p>";			
-	}	
+		echo "<p class='anz'>".$cnt." Stra&szlig;en ... und weitere</p>";			
+	} elseif ($cnt > 1) {
+		echo "\n<p class='anz'>".$cnt." Stra&szlig;en</p>";	
+	}
 	return;
 }
@@ -157,11 +169,11 @@
 	}
 	if($cnt == 0) {
-		echo "\n<p>Keine Stra&szlig;e mit Schl&uuml;ssel ".$match."</p>";
+		echo "\n<p class='anz'>Keine Stra&szlig;e mit Schl&uuml;ssel ".$match."</p>";
 	} elseif($cnt == 1) { // Eindeutig
 		$str_schl=$gkey; // dann gleich weiter
-	} elseif($cnt >= $linelimit) {
-		echo "\n<p>.. und weitere</p>";			
-	} else {
-		echo "\n<p class='hilfe'>".$cnt." Stra&szlig;en</p>";	
+	} elseif ($cnt >= $linelimit) {
+		echo "\n<p>".$cnt." Stra&szlig;en ... und weitere</p>";			
+	} elseif ($cnt > 1) {
+		echo "\n<p class='anz'>".$cnt." Stra&szlig;en</p>";	
 	}	
 	return;
@@ -170,5 +182,5 @@
 function suchHausZurStr($showParent){
 	// Haeuser zu einer Strasse
-	global $con, $str_schl, $gkz, $scalestr, $scalehs, $epsg, $gemeinde, $epsg, $gfilter, $hausnummernohnegebaeude, $debug;
+	global $con, $str_schl, $gkz, $scalestr, $scalehs, $epsg, $gemeinde, $epsg, $gfilter, $debug;
 	// Strasse zum Strassenschluessel
 	$sql ="SELECT g.bezeichnung AS gemname, k.bezeichnung, k.land, k.regierungsbezirk, k.kreis, k.gemeinde, k.lage ";
@@ -216,7 +228,9 @@
 			if ($x > 0) { // Koord. bekommen?
 				echo "\n\t<a title='Positionieren 1:".$scalestr."' href='javascript:"; // mit Link
+						echo "transtitle(\"auf Stra&szlig;e positioniert\"); ";
 						echo "parent.parent.parent.mb_repaintScale(\"mapframe1\",".$x.",".$y.",".$scalestr."); ";
 						echo "parent.parent.showHighlight(".$x.",".$y."); ";
-						echo "document.location.href=\"".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;str_schl=".$str_schl."\"' ";
+						//echo "document.location.href=\"".$_SERVER['SCRIPT_NAME']."?gkz=".$gkz."&amp;gemeinde=".$gemeinde."&amp;epsg=".$epsg."&amp;str_schl=".$str_schl."\"";
+					echo "' "; // end href
 					echo "\n\t\tonmouseover='parent.parent.showHighlight(" .$x. "," .$y. ")' ";
 					echo "\n\t\tonmouseout='parent.parent.hideHighlight()'";
@@ -252,5 +266,4 @@
 /* Version mit // Subquery
 Liefert Informationen ÃŒber GebÃ€ude zur Hausnummer. LÃ€uft aber spÃŒrbar langsamer.
-
 		$sql.="FROM ap_pto p JOIN alkis_beziehungen v ON p.gml_id = v.beziehung_von ";
 		$sql.="JOIN ax_lagebezeichnungmithausnummer h ON v.beziehung_zu = h.gml_id ";
@@ -259,6 +272,6 @@
 		$sql.="ON h.gml_id = subq.zu WHERE v.beziehungsart='dientZurDarstellungVon' AND p.art = 'HNR' ";
 		$sql.="AND h.land= $1 AND h.regierungsbezirk= $2 AND h.kreis= $3 AND h.gemeinde= $4 AND h.lage= $5 ";
-		$sql.="ORDER BY lpad(split_part(hausnummer,' ',1), 4, '0'), split_part(hausnummer,' ',2);";
-*/
+		$sql.="ORDER BY lpad(split_part(hausnummer,' ',1), 4, '0'), split_part(hausnummer,' ',2);"; */
+
 		// Version ohne Subquery
 		$sql.="FROM ap_pto p JOIN alkis_beziehungen v ON p.gml_id = v.beziehung_von ";
@@ -292,5 +305,7 @@
 			//	echo "<a".$cls." href='";
 				echo "<a href='";
-					echo "javascript:parent.parent.parent.mb_repaintScale(\"mapframe1\",".$x.",".$y.",".$scalehs."); ";
+					echo "javascript:";
+					echo "transtitle(\"auf Haus positioniert\"); ";
+					echo "parent.parent.parent.mb_repaintScale(\"mapframe1\",".$x.",".$y.",".$scalehs."); ";
 					echo "parent.parent.showHighlight(".$x.",".$y.");' ";
 				echo "onmouseover='parent.parent.showHighlight(".$x.",".$y.")' ";
@@ -308,7 +323,7 @@
 		if($count > 0) {echo "\n</tr>";}
 		echo "\n</table>";
-		echo "\n<p class='hilfe'>".$cnt." Hausnummern</p>";
+		echo "\n<p class='anz'>".$cnt." Hausnummern</p>";
 	} else {
-		echo "\n<p class='err'>Keine Stra&szlig;e.</p>";
+		echo "\n<p class='anz'>Keine Stra&szlig;e</p>";
 	}
 	return;
@@ -318,13 +333,11 @@
 // ===========
 if(isset($epsg)) {
-	if ($debug >= 2) {echo "\n<p>aktueller EPSG='".$epsg."'</p>";} // aus MB
+	#if ($debug >= 2) {echo "\n<p>aktueller EPSG='".$epsg."'</p>";} // aus MB
 	$epsg = str_replace("EPSG:", "" , $_REQUEST["epsg"]);	
 } else {
-	if ($debug >= 1) {echo "\n<p class='err'>kein EPSG gesetzt</p>";}	
+	#if ($debug >= 1) {echo "\n<p class='err'>kein EPSG gesetzt</p>";}	
 	$epsg=$gui_epsg; // aus Conf
 }
-if ($debug >= 2) {
-	echo "<p>Filter Gemeinde = ".$gemeinde."</p>";
-}
+#if ($debug >= 2) {echo "<p>Filter Gemeinde = ".$gemeinde."</p>";}
 if ($gemeinde == "") {
 	$gfilter = 0; // ungefiltert
@@ -335,19 +348,22 @@
 }
 if (isset($str_schl)) { // aus Link
-	if ($debug >= 2) {echo "\n<p>Link Strassenschluessel '".$str_schl."'</p>";}
+	$trans="Hausnummern zur Stra&szlig;e";
 	suchHausZurStr(true);
 } elseif(isset($street)) { // Eingabe in Form
-	if (trim($street, "*,0..9") == "") { // Zahl mit Wildcard
-		if ($debug >= 2) {echo "\n<p>Suche Key='".$street."'</p>";}
-		suchStrKey(); // Suche nach Schluessel
+	if (trim($street, "*,0..9") == "") { // Zahl, ggf. mit Wildcard
+		$trans="Suche Stra&szlig;enschl&uuml;ssel \"".$street."\"";
+		suchStrKey();
 	} else {
-		if ($debug >= 2) {echo "\n<p>Suche Name='".$street."'</p>";}
-		suchStrName(); // Suche nach Name
+		$trans="Suche Stra&szlig;enname \"".$street."\"";
+		suchStrName();
 	}
 	if(isset($str_schl)) { // Eindeutiges Ergebnis
-		if ($debug >= 2) {echo "\n<p>weitere Suche Haus zu ='".$str_schl."'</p>";}
+		$trans="1 Stra&szlig;e gefunden, Hausnummern";
 		suchHausZurStr(false);
 	}
 }
+// Titel im Kopf anzeigen
+echo "\n<script type='text/javascript'>\n\ttranstitle('".$trans."')\n</script>";
+
 ?>
 
